import * as $dara from '@darabonba/typescript';
import { DisableDiskEncryptionByDefaultResponseBody } from "./DisableDiskEncryptionByDefaultResponseBody";
export declare class DisableDiskEncryptionByDefaultResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DisableDiskEncryptionByDefaultResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
